Loading...
Searching...
No Matches
SampleConsensus.hpp File Reference

This is a base class for sample consensus methods such as Ransac. Derivatives call the three basic functions of a sample-consensus problem (sample drawing, computation of a hypothesis, and verification of a hypothesis). More...

`#include <memory>`
`#include "implementation/SampleConsensus.hpp"`

Go to the source code of this file.

## Classes

class | opengv::sac::SampleConsensus< PROBLEM_T >

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::sac
| The namespace for the sample consensus methods.

## Detailed Description

This is a base class for sample consensus methods such as Ransac. Derivatives call the three basic functions of a sample-consensus problem (sample drawing, computation of a hypothesis, and verification of a hypothesis).